# module AbstractController::UrlFor::ClassMethods

### Public Instance Methods

_routes() click to toggle source

    # File lib/abstract_controller/url_for.rb, line 18
    def _routes
      nil
    end

action_methods() click to toggle source
Calls superclass method

    # File lib/abstract_controller/url_for.rb, line 22
    def action_methods
      @action_methods ||= begin
        if _routes
          super - _routes.named_routes.helper_names
        else
          super
        end
      end
    end